Ingres II Functions
ingres_close
Ingres II Functions
PHP Manual

# ingres_autocommit

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_autocommit — Switch autocommit on or off

### Description

bool ingres_autocommit ([ resource `$link` ] )

ingres_autocommit() is called before opening a transaction (before the first call to ingres_query() or just after a call to ingres_rollback() or ingres_commit()) to switch the "autocommit" mode of the server on or off (when the script begins the autocommit mode is off).

When the autocommit mode is on, every query is automatically committed by the server, as if ingres_commit() was called after every call to ingres_query().

### Parameters

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ingres_query()
- ingres_rollback()
- ingres_commit()

Ingres II Functions
ingres_close
Ingres II Functions
PHP Manual